%define upstream_name       Template-Toolkit
%define upstream_version 3.101
%global __provides_exclude perl\\(CGI\\)|perl\\(My::
%global __requires_exclude perl\\(CGI\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://www.template-toolkit.org
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.560.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl-devel
%{?perl_default_filter}
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(bytes\\)

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find ./ -type f | \
    xargs perl -pi -e 's|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|'

%build
%{__perl} Makefile.PL \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    INSTALLDIRS=vendor </dev/null
%make_build CFLAGS="%{optflags}"

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml TODO
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Wed Nov 29 2023 tv <tv> 3.101.0-2.mga10
+ Revision: 2011270
- Rebuild for perl-5.38

* Fri Aug 19 2022 tv <tv> 3.101.0-1.mga9
+ Revision: 1878678
- update to 3.101

* Tue Jun 07 2022 umeabot <umeabot> 3.100.0-2.mga9
+ Revision: 1862434
- Rebuild for Perl 5.36

* Thu Apr 28 2022 tv <tv> 3.100.0-1.mga9
+ Revision: 1854832
- update to 3.100

* Thu Mar 17 2022 umeabot <umeabot> 3.10.0-2.mga9
+ Revision: 1796677
- Mageia 9 Mass Rebuild

* Tue Dec 14 2021 tv <tv> 3.10.0-1.mga9
+ Revision: 1762074
- update to 3.010

* Mon May 24 2021 umeabot <umeabot> 3.9.0-2.mga9
+ Revision: 1727141
- Rebuild for perl 5.34

* Wed Jul 15 2020 tv <tv> 3.9.0-1.mga8
+ Revision: 1606190
- update to 3.009

* Wed Jun 17 2020 umeabot <umeabot> 3.8.0-2.mga8
+ Revision: 1595280
- Rebuild for perl 5.32

* Tue Mar 31 2020 tv <tv> 3.8.0-1.mga8
+ Revision: 1562548
- update to 3.008

* Thu Feb 20 2020 umeabot <umeabot> 3.7.0-2.mga8
+ Revision: 1545146
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 shlomif <shlomif> 3.7.0-1.mga8
+ Revision: 1484098
- update to 3.007

* Fri Jan 17 2020 tv <tv> 3.6.0-1.mga8
+ Revision: 1481188
- update to 3.006

* Thu Jan 16 2020 shlomif <shlomif> 3.5.0-1.mga8
+ Revision: 1478215
- New version 3.5.0

* Tue Jan 14 2020 shlomif <shlomif> 3.4.0-1.mga8
+ Revision: 1477974
- update to 3.004

* Sat Dec 28 2019 shlomif <shlomif> 3.3.0-1.mga8
+ Revision: 1474536
- New version 3.3.0

* Wed Dec 25 2019 tv <tv> 3.2.0-1.mga8
+ Revision: 1469996
- update to 3.002

* Tue Aug 27 2019 tv <tv> 2.290.0-2.mga8
+ Revision: 1433187
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 2.290.0-1.mga8
+ Revision: 1415733
- update to 2.29

* Fri Oct 12 2018 tv <tv> 2.280.0-1.mga7
+ Revision: 1319868
- update to 2.28

* Fri Sep 21 2018 umeabot <umeabot> 2.270.0-7.mga7
+ Revision: 1293856
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 2.270.0-6.mga7
+ Revision: 1247499
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 2.270.0-5.mga7
+ Revision: 1166687
- rebuild with fixed rpm for missing autodeps

* Tue Sep 05 2017 tv <tv> 2.270.0-4.mga7
+ Revision: 1151372
- rebuild with fixed perl
+ pterjan <pterjan>
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 2.270.0-1.mga7
+ Revision: 1127905
- New version 2.27 + spec modernize

* Sat Jul 22 2017 neoclust <neoclust> 2.260.0-6.mga7
+ Revision: 1126486
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.260.0-5.mga6
+ Revision: 1033915
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 shlomif <shlomif> 2.260.0-4.mga6
+ Revision: 997074
- Exclude a require

* Fri Feb 12 2016 umeabot <umeabot> 2.260.0-3.mga6
+ Revision: 958069
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.260.0-2.mga6
+ Revision: 845307
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.260.0-1.mga6
+ Revision: 840491
- update to 2.26

* Sun Oct 19 2014 umeabot <umeabot> 2.250.0-7.mga5
+ Revision: 790533
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.250.0-6.mga5
+ Revision: 749754
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.250.0-5.mga5
+ Revision: 735942
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.250.0-4.mga5
+ Revision: 686358
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jun 03 2014 pterjan <pterjan> 2.250.0-3.mga5
+ Revision: 631740
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.250.0-2.mga4
+ Revision: 530528
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 2.250.0-1.mga4
+ Revision: 457878
- update to 2.25

* Wed May 29 2013 tv <tv> 2.240.0-4.mga4
+ Revision: 430126
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.240.0-3.mga3
+ Revision: 373184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.240.0-2.mga3
+ Revision: 251189
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 2.240.0-1.mga2
+ Revision: 213189
- update to 2.24

* Wed Jan 25 2012 jquelin <jquelin> 2.230.0-1.mga2
+ Revision: 201020
- update to 2.23

* Sun Jun 12 2011 sander85 <sander85> 2.220.0-5.mga2
+ Revision: 104732
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 34230
- mageia rebuild
- imported package perl-Template-Toolkit

